For the complete documentation index, see llms.txt. This page is also available as Markdown.

Retrieve Details

Faturanın detayını getirir.

get
Authorizations
HTTPRequired

API Key Giriniz

Path parameters
UUIDstring · uuidRequired
Responses
200

Faturanın detayını getirir.

application/json
UUIDstring · nullableOptional
InvoiceTypestring · nullableOptional
InvoiceProfilestring · nullableOptional
InvoiceNumberstring · nullableOptional
EnvelopeUUIDstring · nullableOptional
EnvelopeAliasstring · nullableOptional
UBLVersionIDstring · nullableOptional
CustomizationIDstring · nullableOptional
SendDatestring · nullableOptional
IssueDatestring · nullableOptional
CurrencyCodestring · nullableOptional
NumberOfItemsinteger · int32Optional
InvoiceAmountnumber · doubleOptional
TaxAmountnumber · doubleOptional
AdditionalDocumentCountinteger · int32Optional
AnswerCodestring · enumOptionalPossible values:
get/Purchase/{UUID}/Details
GET /einvoice/Purchase/{UUID}/Details HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "UUID": "text",
  "InvoiceType": "text",
  "InvoiceProfile": "text",
  "InvoiceNumber": "text",
  "EnvelopeUUID": "text",
  "EnvelopeAlias": "text",
  "UBLVersionID": "text",
  "CustomizationID": "text",
  "SendDate": "text",
  "IssueDate": "text",
  "CurrencyCode": "text",
  "NumberOfItems": 1,
  "InvoiceAmount": 1,
  "TaxAmount": 1,
  "AdditionalDocumentCount": 1,
  "AnswerCode": "unknown"
}
var client = new RestClient("https://apitest.nilvera.com/einvoice/Purchase/b6625de9-e4e4-4e88-9605-5e39fc3bb660/Details");
client.Timeout = -1;
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <API KEY>");
IRestResponse response = client.Execute(request);
Console.WriteLine(response.Content);
<?php
$curl = curl_init();
curl_setopt_array($curl, array(
  CURLOPT_URL => 'https://apitest.nilvera.com/einvoice/Purchase/b6625de9-e4e4-4e88-9605-5e39fc3bb660/Details',
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => '',
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 0,
  CURLOPT_FOLLOWLOCATION => true,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => 'GET',
  CURLOPT_HTTPHEADER => array(
    'Authorization: Bearer <API KEY>'
  ),
));
$response = curl_exec($curl);
curl_close($curl);
echo $response;

Last updated